#Detecting the molding bench and spawning it
execute as @e[type=glow_item_frame,tag=moldingbench,tag=!put] at @s run function wep:bench_related/summoner
#Detecting items put in the molding bench and determining it
execute as @e[tag=moldingbench,tag=put] at @s if entity @p[distance=..4] run function wep:craftingdetection/all
#Detecting if the molding bench is broken
execute as @e[tag=moldingbench,tag=put] at @s unless block ~ ~ ~ dropper run function wep:bench_related/break



#Accelerating Trait Score clearance
execute as @a if predicate wep:accelerating_activation_detection/accelerating_not_held run function wep:technical/trait_penalty/accelerating/acceleration_reset
execute as @a if predicate wep:accelerating_activation_detection/accelerating_not_sprinting run function wep:technical/trait_penalty/accelerating/acceleration_reset



#Flexible Trait detection system
execute as @a[nbt={SelectedItem:{tag:{Flexible:1b}}},tag=!we.flexible_debuff_added] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/flexible/flexible_i
execute as @a[nbt={SelectedItem:{tag:{Flexible:2b}}},tag=!we.flexible_debuff_added] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/flexible/flexible_ii



#Lethal Trait detection system
execute as @a[nbt={SelectedItem:{tag:{Lethal:1b}}},tag=!we.lethal_buff_added] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/lethal/lethal_i
execute as @a[nbt={SelectedItem:{tag:{Lethal:2b}}},tag=!we.lethal_buff_added] unless predicate wep:undefined/is_falling run function wep:technical/trait_penalty/lethal/lethal_ii


#Lethal & Flexible effects removal system
execute as @a if predicate wep:undefined/is_falling run function wep:technical/trait_penalty/attribute_clearance
execute as @a unless predicate wep:undefined/wrong_tool run function wep:technical/trait_penalty/attribute_clearance



#Resets the score of the damage dealt to an entity unless if the player has landed a hit with a weapon carrying the denting trait
execute as @a at @s unless predicate wep:undefined/denting_trait_related run scoreboard players reset @s we.dealt
#Detects if an entity that has just taken damage is on a vehicle. And upon it, It will activate the condition checks to detect if it was hit in the right way to be dismounted
execute as @e[nbt={HurtTime:10s}] at @s if predicate wep:undefined/vehicle_status run function wep:technical/trait_penalty/hooking/condition_check

#Long bow detection
execute as @e at @s if predicate wep:undefined/longbow_detection run function wep:technical/longbow_mechanics/longbow_arrow_detection

#Mob weapons
execute as @e[type=piglin_brute,tag=!we.checked] run function wep:technical/randomizers/brute
execute as @e[type=#wep:zombie,tag=!we.checked] run function wep:technical/randomizers/zombie
execute as @e[type=piglin,tag=!we.checked] run function wep:technical/randomizers/piglin
execute as @e[type=wither_skeleton,tag=!we.checked] run function wep:technical/randomizers/wither_skeleton


